name: "CodeQL"

on:
  push:
    branches: [ master ]

jobs:
  analyze:
    name: Analyze
    runs-on: ubuntu-latest

    steps:
    - name: Checkout repo
      uses: actions/checkout@v3

    - name: Initialize CodeQL
      uses: github/codeql-action/init@v1
      with:
        languages: go

    - name: CodeQL Analysis
      uses: github/codeql-action/analyze@v1
